# Uses of Class
java.rmi.AccessException

Packages that use AccessException
Package
Description
java.rmi.registry
Provides a class and two interfaces for the RMI registry.

## Uses of AccessException in java.rmi.registry

Methods in java.rmi.registry that throw AccessException
Modifier and Type
Method
Description
`void`
Registry.`bind(String name, Remote obj)`
Binds a remote reference to the specified `name` in this registry.
`String[]`
Registry.`list()`
Returns an array of the names bound in this registry.
`Remote`
Registry.`lookup(String name)`
Returns the remote reference bound to the specified `name` in this registry.
`void`
Registry.`rebind(String name, Remote obj)`
Replaces the binding for the specified `name` in this registry with the supplied remote reference.
`void`
Registry.`unbind(String name)`
Removes the binding for the specified `name` in this registry.